package com.ruoyi.branch.service.impl;

import java.util.List;

import com.ruoyi.common.annotation.DataScope;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.branch.mapper.TBranchTemplateMapper;
import com.ruoyi.branch.domain.TBranchTemplate;
import com.ruoyi.branch.service.ITBranchTemplateService;

/**
 * 常用模板Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-08-21
 */
@Service
public class TBranchTemplateServiceImpl implements ITBranchTemplateService 
{
    @Autowired
    private TBranchTemplateMapper tBranchTemplateMapper;

    /**
     * 查询常用模板
     * 
     * @param templateId 常用模板主键
     * @return 常用模板
     */
    @Override
    public TBranchTemplate selectTBranchTemplateByTemplateId(Long templateId)
    {
        return tBranchTemplateMapper.selectTBranchTemplateByTemplateId(templateId);
    }

    /**
     * 查询常用模板列表
     * 
     * @param tBranchTemplate 常用模板
     * @return 常用模板
     */
    @Override
    @DataScope(deptAlias = "d", userAlias = "u")
    public List<TBranchTemplate> selectTBranchTemplateList(TBranchTemplate tBranchTemplate)
    {
        return tBranchTemplateMapper.selectTBranchTemplateList(tBranchTemplate);
    }

    /**
     * 新增常用模板
     * 
     * @param tBranchTemplate 常用模板
     * @return 结果
     */
    @Override
    public int insertTBranchTemplate(TBranchTemplate tBranchTemplate)
    {
        tBranchTemplate.setCreateTime(DateUtils.getNowDate());
        return tBranchTemplateMapper.insertTBranchTemplate(tBranchTemplate);
    }

    /**
     * 修改常用模板
     * 
     * @param tBranchTemplate 常用模板
     * @return 结果
     */
    @Override
    public int updateTBranchTemplate(TBranchTemplate tBranchTemplate)
    {
        tBranchTemplate.setUpdateTime(DateUtils.getNowDate());
        return tBranchTemplateMapper.updateTBranchTemplate(tBranchTemplate);
    }

    /**
     * 批量删除常用模板
     * 
     * @param templateIds 需要删除的常用模板主键
     * @return 结果
     */
    @Override
    public int deleteTBranchTemplateByTemplateIds(Long[] templateIds)
    {
        return tBranchTemplateMapper.deleteTBranchTemplateByTemplateIds(templateIds);
    }

    /**
     * 删除常用模板信息
     * 
     * @param templateId 常用模板主键
     * @return 结果
     */
    @Override
    public int deleteTBranchTemplateByTemplateId(Long templateId)
    {
        return tBranchTemplateMapper.deleteTBranchTemplateByTemplateId(templateId);
    }
}
